function tableContains(tbl, x)
    found = false
    for _, v in pairs(tbl) do
        if v == x then 
            found = true
        end
    end
    return found
end

function convertJavaArrayToTable (javaArray)
local t = {}
for i = 1, #javaArray do
javaArray[i-1].setAccessible(true);
t[i] = tostring(javaArray[i-1].getName());
end
return t;
end

function tableConcat(t1,t2)
    for i=1,#t2 do
        t1[#t1+1] = t2[i]
    end
    end

javaMethods = node.class.getDeclaredMethods();
javaMethods1 = node.class.getMethods();
luaMethods = convertJavaArrayToTable(javaMethods);
luaMethods1 = convertJavaArrayToTable(javaMethods1);
tableConcat(luaMethods, luaMethods1);
cleanMethods = {};
pattern = "^[a-zA-Z%-]%$.*$";
for _, value in ipairs(luaMethods) do
if value ~= nil and not tableContains(cleanMethods, "node." .. value) and not value:match(pattern) then
cleanMethods[#cleanMethods + 1] = "node." .. value
end
end
table.sort(cleanMethods)
text = "عدد الدوال التي تم إستخلاصها من الكائن node هو : " .. tostring(#cleanMethods) .. "\n";
for i = 1, #cleanMethods do
text = text .. cleanMethods[i] .. "\n"
end
print ((text));
return true;
